LabVIEW Real-Time Idea Exchange

About LabVIEW Real-Time Idea Exchange

Have a LabVIEW Real-Time Idea?

  1. Does your idea apply to LabVIEW in general? Get the best feedback by posting it on the original LabVIEW Idea Exchange.
  2. Browse by label or search in the LabVIEW Real-Time Idea Exchange to see if your idea has previously been submitted. If your idea exists be sure to vote for the idea by giving it kudos to indicate your approval!
  3. If your idea has not been submitted click New Idea to submit a product idea to the LabVIEW Real-Time Idea Exchange. Be sure to submit a separate post for each idea.
  4. Watch as the community gives your idea kudos and adds their input.
  5. As NI R&D considers the idea, they will change the idea status.
  6. Give kudos to other ideas that you would like to see in a future version of LabVIEW Real-Time!
Top Authors
cancel
Showing results for 
Search instead for 
Did you mean: 
TiTou

update the SQLite version available via opkg

Status: New

As explained in this post, the most recent version of SQLite library via opkg is 3.22.

 

This version is so old that it doesn't support all the features available via the SQLite Library publish by Dr Powell.

 

as explain in the post above, compiling a newer version from the source code available at sqlite.org is doable (I did it for v3.34).


We have two ears and one mouth so that we can listen twice as much as we speak.

Epictetus

Antoine Chalons

3 Comments
alex.stewart
Member

The current development HEAD of LinuxRT has sqlite v3.31.1, and our intention is to ship at least that version for the next major LinuxRT release (9.0).

 

It sounds like you have already verified that 3.31 satisfies the SQLite Timestamps.vi requirements. Is that the case? If it doesn't, we have an opportunity to upgrade past that version before release.

 

Thanks for bringing this up!

TiTou
Trusted Enthusiast

Thanks for kicking in, indeed, as I stated in the other post the doc on SQLite.org says Tgen is supported from 3.31.0 so it should be ok.

 

Now if possible it would make sense to use the same version as Dr Powell included for Windows - and that is 3.32.

 

I used 3.34 because it was the only amalgamation I could find that included a "configure" script.


We have two ears and one mouth so that we can listen twice as much as we speak.

Epictetus

Antoine Chalons

drjdpowell
Active Participant

I always upgrade to the latest SQLite version when I release a new "SQLite Library" version.  SQLite is very well tested as is very good at maintaining backwards compatibility.   So I would favour Linux RT including the latest version.